Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts2.jsf
Class FacesSupport

    java.lang.Object
      org.apache.struts2.jsf.FacesSupport

Direct Known Subclasses:
  FacesInterceptor, FacesRender, FacesSetupInterceptor

    public class FacesSupport

extends java.lang.Object

Provides common lifecycle phase methods needed by interceptors and results.

Field Summary
`protected static java.lang.String` | `FACES_ENABLED` Marker key for the ActionContext to dictate whether to treat the request as a JSF faces request and therefore process the Faces phases
`protected org.apache.commons.logging.Log` | `log` Log instance for each class

Constructor Summary
`protected` | `FacesSupport()` Initializes log instance for the instance object

Method Summary
`protected void` | `informPhaseListenersAfter(javax.faces.context.FacesContext facesContext, javax.faces.event.PhaseId phaseId)` Informs phase listeners after a phase is executed
`protected void` | `informPhaseListenersBefore(javax.faces.context.FacesContext facesContext, javax.faces.event.PhaseId phaseId)` Informs phase listeners before a phase is executed
`protected boolean` | `isResponseComplete(javax.faces.context.FacesContext facesContext, java.lang.String phase, boolean before)` Checks to see if the response has been completed.
`protected void` | `setLifecycle(javax.faces.lifecycle.Lifecycle lifecycle)` Sets the lifecycle for this request
`protected boolean` | `shouldRenderResponse(javax.faces.context.FacesContext facesContext, java.lang.String phase, boolean before)` Checks to see the render phase should be executed next.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    protected org.apache.commons.logging.Log log

  Log instance for each class

### FACES_ENABLED

    protected static final java.lang.String FACES_ENABLED

  Marker key for the ActionContext to dictate whether to treat the request as a JSF faces request and therefore process the Faces phases

  See Also:
    Constant Field Values

Constructor Detail

### FacesSupport

    protected FacesSupport()

  Initializes log instance for the instance object

Method Detail

### setLifecycle

    protected void setLifecycle(javax.faces.lifecycle.Lifecycle lifecycle)

  Sets the lifecycle for this request

  Parameters:
    `lifecycle` - The lifecycle

### informPhaseListenersBefore

    protected void informPhaseListenersBefore(javax.faces.context.FacesContext facesContext,
                                              javax.faces.event.PhaseId phaseId)

  Informs phase listeners before a phase is executed

  Parameters:
    `facesContext` - The current faces context
    `phaseId` - The phase id about to be executed

### informPhaseListenersAfter

    protected void informPhaseListenersAfter(javax.faces.context.FacesContext facesContext,
                                             javax.faces.event.PhaseId phaseId)

  Informs phase listeners after a phase is executed

  Parameters:
    `facesContext` - The current faces context
    `phaseId` - The phase id that was executed

### isResponseComplete

    protected boolean isResponseComplete(javax.faces.context.FacesContext facesContext,
                                         java.lang.String phase,
                                         boolean before)

  Checks to see if the response has been completed. Mainly used for better debugging messages.

  Parameters:
    `facesContext` - The current faces context
    `phase` - The phase id in execution
    `before` - Whether the phase has been executed or not
  Returns:
    True if the response is complete

### shouldRenderResponse

    protected boolean shouldRenderResponse(javax.faces.context.FacesContext facesContext,
                                           java.lang.String phase,
                                           boolean before)

  Checks to see the render phase should be executed next. Mainly used for better debugging messages.

  Parameters:
    `facesContext` - The current faces context
    `phase` - The phase id in execution
    `before` - Whether the phase has been executed or not
  Returns:
    True if the response is complete

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2007 Apache Software Foundation. All Rights Reserved.